Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin.util
Class PluginLog

    java.lang.Object
      org.mortbay.jetty.plugin.util.PluginLog

    public class PluginLog

extends Object

PluginLog Convenience class to provide access to the plugin Log for non-mojo classes.

Constructor Summary
`PluginLog()`

Method Summary
`static org.apache.maven.plugin.logging.Log` | `getLog()`
`static void` | `setLog(org.apache.maven.plugin.logging.Log l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginLog

    public PluginLog()

Method Detail

### setLog

    public static void setLog(org.apache.maven.plugin.logging.Log l)

### getLog

    public static org.apache.maven.plugin.logging.Log getLog()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.